Loading...
Searching...
No Matches
svn_ra_svn_cmd_entry_t Struct Reference

Command table, used by svn_ra_svn_handle_commands(). More...

`#include <svn_ra_svn.h>`

## Data Fields

const char * | cmdname
| Name of the command.
svn_ra_svn_command_handler | handler
| Handler for the command.
svn_boolean_t | terminate
| Termination flag.

## Detailed Description

Command table, used by svn_ra_svn_handle_commands().

Definition at line 134 of file svn_ra_svn.h.

## Field Documentation

## cmdname

const char* svn_ra_svn_cmd_entry_t::cmdname

Name of the command.

Definition at line 137 of file svn_ra_svn.h.

## handler

svn_ra_svn_command_handler svn_ra_svn_cmd_entry_t::handler

Handler for the command.

Definition at line 140 of file svn_ra_svn.h.

## terminate

svn_boolean_t svn_ra_svn_cmd_entry_t::terminate

Termination flag.

If set, command-handling will cease after command is processed.

Definition at line 144 of file svn_ra_svn.h.

The documentation for this struct was generated from the following file:

- svn_ra_svn.h